summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico2012-06-02 04:06:14 (GMT)
committerZac Medico2012-06-02 04:06:14 (GMT)
commit9b2e4d5a48e17ae1a637c6de7a311cd9055dd02e (patch)
tree865753abcb9ac7cc3763b67ac68d8ffe9b4694f7
parentaf0be826f318a2167786e5d9359b80f8537ca07c (diff)
ecompressdir: fix brokenlink newdest logic
Was broken in commit bbacf8674168cf033de0ccb161f568d0b26f032b.
-rwxr-xr-xbin/ebuild-helpers/ecompressdir6
1 files changed, 5 insertions, 1 deletions
diff --git a/bin/ebuild-helpers/ecompressdir b/bin/ebuild-helpers/ecompressdir
index c77d998..6801a07 100755
--- a/bin/ebuild-helpers/ecompressdir
+++ b/bin/ebuild-helpers/ecompressdir
@@ -86,7 +86,11 @@ funk_up_dir() {
[[ ${olddest} == *${suffix} ]] || continue
newdest=${olddest%${suffix}}
fi
- [[ -f ${newdest} ]] || continue
+ if [[ "${newdest}" == /* ]] ; then
+ [[ -f "${D}${newdest}" ]] || continue
+ else
+ [[ -f "${dir}/${brokenlink%/*}/${newdest}" ]] || continue
+ fi
rm -f "${brokenlink}"
[[ ${act} == "compress" ]] \
&& ln -snf "${newdest}" "${brokenlink}${suffix}" \